Get calculated demand details
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| accountId | ID of the account to receive calculated bill details | integer (int32) | Required |
| meterId | ID of the meter to receive calculated bill details | integer (int32) | Required |
| versionId | ID of the calculated bill distribution version | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
CalculatedBillDemandResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| fixedDemand | FixedAmountResponse | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
FixedAmountResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| readingsFromChannel | ChannelChildWithObservationType | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ChannelChildWithObservationType properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| readingsFromEsaChannel | EsaChannelChildWithObservationType | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
EsaChannelChildWithObservationType properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| readingsFromWatticsDataPoint | WatticsDataPointChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
WatticsDataPointChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "fixedDemand": { "amount": 1.0, "unit": { "unitCode": "string", "unitId": 1, "unitInfo": "string"
}
}, "readingsFromChannel": { "channelCode": "string", "channelId": 1, "interval": 1, "rule": { "observationRuleCode": "string", "observationRuleId": 1, "observationRuleInfo": "string"
}, "type": { "credit": 1, "nounCode": "string", "nounId": 1, "observationTypeCode": "string", "observationTypeId": 1, "observationTypeInfo": "string"
}
}, "readingsFromEsaChannel": { "esaChannelId": 1, "esaChannelInfo": "string", "interval": 1, "rule": { "observationRuleCode": "string", "observationRuleId": 1, "observationRuleInfo": "string"
}, "type": { "credit": 1, "nounCode": "string", "nounId": 1, "observationTypeCode": "string", "observationTypeId": 1, "observationTypeInfo": "string"
}
}, "readingsFromWatticsDataPoint": { "watticsDataPointId": 1, "watticsDataPointInfo": "string"
}
}